Subject: [PATCH 38/38] iio: magn-core: st: Provide support for the LSM303DLH

From: [email-masked] (Denis CIOCCA)
Date: Mon, 16 Sep 2013 12:18:05 +0200

Hi Lee,

> The driver mentions that the first group of sensors have a WAI of 
> 0x3c: #define ST_MAGN_1_WAI_EXP 0x3c And when I print out the WAI read 
> from the device: Requested device: lsm303dlh_magn - read WAI: 0x3c I 
> guess I could have been lied to again by the board's datasheet again 
> and the attached device isn't actually a LSM303DLH, but how can I tell 
> for sure? 
On LSM303DLH you have to read 0x0a 0x0b and 0x0c registers, you have to 
find 0x48, 0x34 and 0x33. I think in the snowball there is the LSM303DLHC.

Denis